ROLLBACK PREPARED()

NAME
ROLLBACK PREPARED - cancel a transaction that was earlier prepared for two-phase commit

SYNOPSIS

ROLLBACK PREPARED transaction_id

DESCRIPTION

ROLLBACK PREPARED rolls back a transaction that is in prepared state.

PARAMETERS

transaction_id
    The transaction identifier of the transaction that is to be rolled back.

NOTES

To roll back a prepared transaction, you must be either the same user that executed the transaction originally, or a superuser. But you do not have to be in the same session that executed the transaction.

This command cannot be executed inside a transaction block. The prepared transaction is rolled back immediately.

All currently available prepared transactions are listed in the pg_prepared_xacts system view.

EXAMPLES

Roll back the transaction identified by the transaction identifier foobar:

ROLLBACK PREPARED 'foobar';

SEE ALSO
PREPARE TRANSACTION [prepare_transaction(7)], COMMIT PREPARED [commit_prepared(l)]